ApplicationConstants (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api, interface: ApplicationConstants

Package org.apache.hadoop.yarn.api

# Interface ApplicationConstants

@Public @Evolving public interface ApplicationConstants
This is the API for the applications comprising of constants that YARN sets up for the applications and the containers. TODO: Investigate the semantics and security of each cross-boundary refs.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static enum`
  `ApplicationConstants.ContainerLaunchType`
  The type of launch for the container.
  `static enum`
  `ApplicationConstants.Environment`
  Environment for Applications.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `APP_SUBMIT_TIME_ENV`
  The environment variable for APP_SUBMIT_TIME.
  `static final String`
  `APPLICATION_WEB_PROXY_BASE_ENV`
  The environmental variable for APPLICATION_WEB_PROXY_BASE.
  `static final String`
  `CLASS_PATH_SEPARATOR`
  This constant is used to construct class path and it will be replaced with real class path separator(':' for Linux and ';' for Windows) by NodeManager on container launch.
  `static final String`
  `CONTAINER_TOKEN_FILE_ENV_NAME`
  The cache file into which container token is written
  `static final String`
  `JVM_ADD_OPENS_VAR`
  The environmental variable for JDK17's add-opens workaround.
  `static final String`
  `KEYSTORE_FILE_LOCATION_ENV_NAME`
  The file into which the keystore containing the AM's certificate is written.
  `static final String`
  `KEYSTORE_PASSWORD_ENV_NAME`
  The password for the AM's keystore.
  `static final String`
  `LOG_DIR_EXPANSION_VAR`
  The temporary environmental variable for container log directory.
  `static final String`
  `PARAMETER_EXPANSION_LEFT`
  The following two constants are used to expand parameter and it will be replaced with real parameter expansion marker ('%' for Windows and '$' for Linux) by NodeManager on container launch.
  `static final String`
  `PARAMETER_EXPANSION_RIGHT`
  User has to use this constant to construct class path if user wants cross-platform practice i.e. submit an application from a Windows client to a Linux/Unix server or vice versa.
  `static final String`
  `STDERR`
  `static final String`
  `STDOUT`
  `static final String`
  `TRUSTSTORE_FILE_LOCATION_ENV_NAME`
  The file into which the truststore containing the AM's certificate is written.
  `static final String`
  `TRUSTSTORE_PASSWORD_ENV_NAME`
  The password for the AM's truststore.

- ## Field Details

  - ### APP_SUBMIT_TIME_ENV

    static final String APP_SUBMIT_TIME_ENV
    The environment variable for APP_SUBMIT_TIME. Set in AppMaster environment only
    See Also:
      - Constant Field Values

  - ### CONTAINER_TOKEN_FILE_ENV_NAME

    static final String CONTAINER_TOKEN_FILE_ENV_NAME
    The cache file into which container token is written
    See Also:
      - Constant Field Values

  - ### KEYSTORE_FILE_LOCATION_ENV_NAME

    static final String KEYSTORE_FILE_LOCATION_ENV_NAME
    The file into which the keystore containing the AM's certificate is written.
    See Also:
      - Constant Field Values

  - ### KEYSTORE_PASSWORD_ENV_NAME

    static final String KEYSTORE_PASSWORD_ENV_NAME
    The password for the AM's keystore.
    See Also:
      - Constant Field Values

  - ### TRUSTSTORE_FILE_LOCATION_ENV_NAME

    static final String TRUSTSTORE_FILE_LOCATION_ENV_NAME
    The file into which the truststore containing the AM's certificate is written.
    See Also:
      - Constant Field Values

  - ### TRUSTSTORE_PASSWORD_ENV_NAME

    static final String TRUSTSTORE_PASSWORD_ENV_NAME
    The password for the AM's truststore.
    See Also:
      - Constant Field Values

  - ### APPLICATION_WEB_PROXY_BASE_ENV

    static final String APPLICATION_WEB_PROXY_BASE_ENV
    The environmental variable for APPLICATION_WEB_PROXY_BASE. Set in ApplicationMaster's environment only. This states that for all non-relative web URLs in the app masters web UI what base should they have.
    See Also:
      - Constant Field Values

  - ### JVM_ADD_OPENS_VAR

    static final String JVM_ADD_OPENS_VAR
    The environmental variable for JDK17's add-opens workaround. This should be replaced either a correctly formatted add-opens option if JDK17 is used or an empty string if not on container launch.
    See Also:
      - Constant Field Values

  - ### LOG_DIR_EXPANSION_VAR

    static final String LOG_DIR_EXPANSION_VAR
    The temporary environmental variable for container log directory. This should be replaced by real container log directory on container launch.
    See Also:
      - Constant Field Values

  - ### CLASS_PATH_SEPARATOR

    @Public @Unstable static final String CLASS_PATH_SEPARATOR
    This constant is used to construct class path and it will be replaced with real class path separator(':' for Linux and ';' for Windows) by NodeManager on container launch. User has to use this constant to construct class path if user wants cross-platform practice i.e. submit an application from a Windows client to a Linux/Unix server or vice versa.
    See Also:
      - Constant Field Values

  - ### PARAMETER_EXPANSION_LEFT

    @Public @Unstable static final String PARAMETER_EXPANSION_LEFT
    The following two constants are used to expand parameter and it will be replaced with real parameter expansion marker ('%' for Windows and '$' for Linux) by NodeManager on container launch. For example: {{VAR}} will be replaced as $VAR on Linux, and %VAR% on Windows. User has to use this constant to construct class path if user wants cross-platform practice i.e. submit an application from a Windows client to a Linux/Unix server or vice versa.
    See Also:
      - Constant Field Values

  - ### PARAMETER_EXPANSION_RIGHT

    @Public @Unstable static final String PARAMETER_EXPANSION_RIGHT
    User has to use this constant to construct class path if user wants cross-platform practice i.e. submit an application from a Windows client to a Linux/Unix server or vice versa.
    See Also:
      - Constant Field Values

  - ### STDERR

    static final String STDERR
    See Also:
      - Constant Field Values

  - ### STDOUT

    static final String STDOUT
    See Also:
      - Constant Field Values